Skip to main content

Retrieve Recently Registered Devices for All Customers

This endpoint returns a list of devices that were most recently registered by customers. The results are sorted in descending order based on the registration date.

Request​


GET https://openapi.willog.io/ext/v1/customers/serials/recent​

Query Parameters​

NameTypeRequiredDescription
pageNumberfalsePage number for pagination
limitNumberfalseNumber of records per request (maximum: 100)

Example Request​

GET /ext/v1/customers/serials/recent
Authorization: Bearer token

Response​


Response Body​

NameTypeNot-nullDescription
itemsArraytrueList of device records
customerCodeStringtrueCustomer code associated with the device
serialStringtrueDevice serial number

Example Response​

HTTP/1.1 200 OK

{
"items": [
{
"customerCode": "customer1",
"serial": "ab123456"
},
{
"customerCode": "customer2",
"serial": "98611235"
},
{
"customerCode": "customer1",
"serial": "ab123789"
}
]
}

Error Responses​

- Unauthorized Access to Customer Data​

HTTP/1.1 400 Bad Request

{
"code": "A0016"
}